Skip to content
Proud to collaborate with Microsoft for Startups

docusign.chunked-uploads.get-chunked-upload ​

Returns the details (but not the content) about a chunked upload. Note: You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions.

Retrieves metadata about a chunked upload.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
chunkeduploadidstringYes—The ID of the chunked upload.
includestringNo—(Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is checksum, which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
chunkeduploadidstringYes—The ID of the chunked upload.
includestringNo—(Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is checksum, which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/chunked_uploads/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/chunked_uploads/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.chunked-uploads.get-chunked-upload",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "chunkeduploadid": "value"
  }
}